Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.preference
Class PreferenceStoreException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--oracle.portal.PortalException
                        |
                        +--oracle.portal.provider.v2.preference.PreferenceStoreException

All Implemented Interfaces:
  oracle.webdb.utils.PortalExceptionIF, java.io.Serializable

Direct Known Subclasses:
  EntryAlreadyExistsException, EntryNotFoundException

public class PreferenceStoreException
extends PortalException

See Also:
  Serialized Form

Constructor Summary
`PreferenceStoreException(java.lang.String msg)`
`PreferenceStoreException(java.lang.String resource, java.lang.String name)`
`PreferenceStoreException(java.lang.String resource, java.lang.String name, java.lang.Object[] args)`
`PreferenceStoreException(java.lang.String resource, java.lang.String name, java.lang.Object[] args, java.lang.Throwable cause)`

Methods inherited from class oracle.portal.PortalException
`getCause, getMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreferenceStoreException

    public PreferenceStoreException(java.lang.String resource,
                                    java.lang.String name,
                                    java.lang.Object[] args,
                                    java.lang.Throwable cause)

### PreferenceStoreException

    public PreferenceStoreException(java.lang.String resource,
                                    java.lang.String name,
                                    java.lang.Object[] args)

### PreferenceStoreException

    public PreferenceStoreException(java.lang.String resource,
                                    java.lang.String name)

### PreferenceStoreException

    public PreferenceStoreException(java.lang.String msg)

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.